<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="description" content="Buat Akun | Institut Tazkia">
    <meta name="author" content="Institut Tazkia">
    <meta name="keywords" content="institut tazkia, kampus ekonomi syariah, kampus swasta terbaik">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <!-- fontawesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css">


    <link rel="shortcut icon" th:href="@{/index/img/favicon.png}" type="image/x-icon">
    <!-- my style -->
    <link rel="stylesheet" th:href="@{/index/css/mainstyle.css}">
    <!--    <link th:href="@{/css/select2/css/select2.css}" rel="stylesheet">-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>

    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>


    <title>Buat Akun | SPMB Institut Tazkia</title>
    <style>
        .hidden{
            display: none;
        }
    </style>
</head>

<head>
<body>
<script th:src="@{/js/aplikasi.js}"></script>
<script th:src="@{css/select2/js/select2.min.js}"></script>

<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<div class="header-devider"></div>
<!-- form buat akun -->
<div class="container">
    <div class="buat-akun">
        <div class="row">
            <div class="col-lg-5 col-md-6">
                <div class="brand">
                    <img class="img-fluid mb-4" th:src="@{/index/img/beasiswa.png}" alt="study">
                    <h2>Terimakasih <strong> telah memilih kami</strong> <br>sebagai tempat belajar anda.</h2>
                    <div class="sosial-icon mt-5">
                        <p>Stay connected with us:</p>
                        <a href="https://www.facebook.com/kampustazkia/"><i class="fab fa-facebook-square"></i></a>
                        <a href="https://www.linkedin.com/company/tazkia/"><i class="fab fa-linkedin"></i></a>
                        <a href="https://www.instagram.com/tazkiaofficial/"><i
                                class="fab fa-instagram-square"></i></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-7 col-md-6">
                <div class="form-area">
                    <h2>Registrasi Beasiswa</h2>
                    <form th:action="@{/daftarBeasiswa}" th:object="${beasiswaDto}" method="post">
                        <input type="hidden" name="jenjang" value="S1">
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="namaLengkap">Nama Lengkap</label>
                                    <input type="text" class="form-control" id="namaLengkap" name="namaLengkap" required autofocus>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="noTelpon">No. Telepon</label>
                                    <input type="text" class="form-control" name="noTelpon" required autofocus id="noTelpon">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="email" class="form-control" id="email" required autofocus name="email">
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="password">Password</label>
                                    <input type="password" class="form-control" id="password" required autofocus name="password">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Lulusan</label>
                                    <select name="lulusan" id="lulusan" class="form-control" required>
                                        <option value="" selected disabled>Pilih salah satu</option>
                                        <option value="SMA">SMA</option>
                                        <option value="D3">D3</option>
                                        <option value="S1">S1</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Kota Asal Sekolah</label>
                                    <select name="kotaAsalSekolah"
                                            class="js-example-placeholder-single js-states form-control"  required autofocus><!--th:field="*{programStudi}"-->
                                        <option value=""> ~ Pilih Salah Satu ~ </option>
                                        <option th:each="ins : ${daftarKokab}"
                                                th:value="${ins.id}"
                                                th:text="${ins.nama}"
                                        >Ekonomi Syariah</option>
                                    </select>
                                </div>
                            </div>
                            <div id="form-d3-s1" class="col-sm-12 hidden">
                                <div class="form-group">
                                    <label for="asalUniversitas">Asal Universitas</label>
                                    <input type="text" name="namaSekolah" id="asalUniversitas" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div id="form-sma" class="row hidden">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Nama Asal Sekolah</label>
                                    <input type="text" name="namaSekolah" id="sekolah" class="form-control"
                                           required/>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Tahun Lulus</label>
                                    <input type="number" required autofocus class="form-control" name="tahunLulus" >
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="orangtua">Orang Tua</label>
                                    <select name="statusOrtu" id="orangtua" class="form-control">
                                        <option value="" selected disabled>Pilih salah satu</option>
                                        <option value="LENGKAP">LENGKAP</option>
                                        <option value="YATIM">YATIM</option>
                                        <option value="PIATU">PIATU</option>
                                        <option value="YATIM_PIATU">YATIM DAN PIATU</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-submit btn-block my-3" name="submit">Daftar</button>
                    </form>
                    <!-- <a class="btn btn-google btn-block mb-3" href="#"><img class="mr-2" src="img/google.png"
                            alt="google icon">Daftar Dengan Akun Google</a> -->
                    <p class="mb-0">Sudah punya akun ? <a th:href="@{/login}">Login dsini</a></p>
                    <small><a th:href="@{/}">&larr; Kembali ke beranda</a></small>
                </div>
            </div>
        </div>
    </div>

    <div class="container mb-5">
        <!-- about section -->
        <span class="anchor" id="about"></span>
        <div class="row about">
            <div class="col-md-6">
                <h4>Kenapa Harus Masuk Beasiswa di Tazkia ?</h4>
                <div class="divider mb-5 mt-2"></div>
                <p>Beasiswa di Kampus Tazkia menjadi pilihan menarik bagi mahasiswa karena kurikulum yang relevan dalam ekonomi syariah, fasilitas memadai, dan dosen berkualitas yang memberikan perhatian personal. Lingkungan Islami dan kegiatan keagamaan memperkuat karakter mahasiswa, sementara jaringan alumni yang kuat serta kerja sama dengan institusi membuka peluang magang dan kerja. Kegiatan ekstrakurikuler juga mendukung pengembangan soft skills, menjadikan Tazkia tempat yang ideal untuk tumbuh dan berkembang.</p>
            </div>
            <div class="col-md-6">
                <img th:src="@{/index/img/lp-mbs1.svg}" alt="about" class="img-fluid">
            </div>
        </div>
        <!-- end about section -->
        <!-- why section -->
        <div class="row why">
            <div class="col-md-5">
                <img th:src="@{/index/img/lp-mbs2.svg}" alt="why" class="img-fluid">
            </div>
            <div class="col-md-7">
                <h4>Mengapa Tazkia menjadi pilihan untuk industri dan pemerintah ?</h4>
                <div class="divider mb-5 mt-2"></div>
                <p>Kampus Tazkia dipilih oleh industri dan pemerintah karena menawarkan pendidikan berkualitas tinggi dengan akreditasi baik dan kurikulum yang relevan di bidang ekonomi syariah. Spesialisasi ini membuat lulusan Tazkia sangat dicari oleh industri, terutama dalam sektor keuangan syariah. Kerja sama yang erat dengan berbagai perusahaan memberikan mahasiswa kesempatan magang dan keterlibatan dalam proyek nyata, sementara jaringan alumni yang kuat membantu membuka peluang kerja. Selain itu, komitmen Tazkia terhadap pengembangan ekonomi nasional melalui program pengabdian masyarakat dan pendidikan berbasis nilai menjadikannya pilihan utama bagi industri dan pemerintah.</p>
<!--                <a class="btn btn-lg btn-blue my-5" th:href="@{/leads/form}">Daftar Sekarang</a>-->
            </div>
        </div>
        <!-- end why section -->
    </div>

</div>
<!-- end form buat akun -->

<!--select2-->
<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->

<!--<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js">-->
<!--</script>-->
<!--<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js">-->
<!--</script>-->
<!--<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js">-->
<!--</script>-->
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: " ~ Pilih Salah Satu ~",
        allowClear: true
    });
</script>
<script>
    document.getElementById('lulusan').addEventListener('change', function (){
        const forms = document.querySelectorAll('#form-sma, #form-d3-s1');

        forms.forEach(form => {
            form.classList.add('hidden');
            form.querySelectorAll('input').forEach(input => {
                input.required = false;
            });
        });

        // Tampilkan form yang sesuai
        if (this.value === 'SMA'){
            const formSMA = document.getElementById('form-sma');
            formSMA.classList.remove('hidden');
            formSMA.querySelectorAll('input').forEach(input => {
                input.required = true;
            });
        }else if (this.value === 'D3' || this.value === 'S1'){
            const formUniv = document.getElementById('form-d3-s1');
            formUniv.classList.remove('hidden');
            formUniv.querySelectorAll('input').forEach(input => {input.required = true;});
        }
    });
</script>
</body>

</html>